News:

SMF 2.1.2 has been released! Take it for a spin! Read more.

Main Menu

SMF 1.1 Release Candidate 3 is available!

Started by Thantos, August 19, 2006, 04:12:52 PM

Previous topic - Next topic

navjotjsingh

Quote from: eldacar on August 22, 2006, 09:04:56 AM
If you wish to use 1.1 RC2 mods (they won't all work), add

;version_emulate=1.1-RC2

To your url when in the package manager

Thanks..It worked on almost all but exclusive RC3 mod refused to work then..Ad Mod!!

Gary

Then change it back with

;version_emulate=1.1-RC3

-AwwLilMaggie

Gary M. Gadsdon
Do NOT PM me unless I say so
War of the Simpsons
Bongo Comics Fan Forum
Youtube Let's Plays

^ YT is changing monetisation policy, help reach 1000 sub threshold.

navjotjsingh

Well as of now I have edited package.xml in all mod files to force them to be compatible with 1.1RC3..and there seems no problems with any of the mod till now..Will tell if any problem comes!

JPDeni

Will the converter scripts need to be changed?

Bigguy

Someone a couple pages back wanted to see a forum running RC3, well here's mine:

www.smfhelper.com

Compuart

Quote from: JPDeni on August 22, 2006, 11:50:58 AM
Will the converter scripts need to be changed?

Since there are hardly any database changes in 1.1 RC3 (relative to 1.1 RC2) I assume all converter scripts should still work fine.
Hendrik Jan Visser
Former Lead Developer & Co-founder www.simplemachines.org
Personal Signature:
Realitynet.nl -> ExpeditieRobinson.net / PekingExpress.org / WieIsDeMol.Com

phpchris

Thanks a lot for your work, there is a big performance boosting over here.
However I can't see any ajax loading indicators...
Where are they?

JPDeni

QuoteSince there are hardly any database changes in 1.1 RC3 (relative to 1.1 RC2) I assume all converter scripts should still work fine.
Thank you. One less thing to worry about.  :)

Compuart

Quote from: phpchris on August 22, 2006, 12:00:56 PM
However I can't see any ajax loading indicators...
Where are they?
Make sure you have both your index template and script.js updated.
Hendrik Jan Visser
Former Lead Developer & Co-founder www.simplemachines.org
Personal Signature:
Realitynet.nl -> ExpeditieRobinson.net / PekingExpress.org / WieIsDeMol.Com

aglioeolio

THANKS A LOT!!!

All you guys and ladies, developers of SMF, are my heros!!  ;D ;D

Now I´m testing offline and waiting for some portuguese-brazilian Guys (Ivo Gomes, I hope) to translate to portuguese this new RC3


Bigguy

I don't see it either and my files are up to date.

Quote from: Compuart on August 22, 2006, 12:03:54 PM
Quote from: phpchris on August 22, 2006, 12:00:56 PM
However I can't see any ajax loading indicators...
Where are they?
Make sure you have both your index template and script.js updated.

James Woodcock

A fantastic update, that registration addition is soooo helpful against SPAM and the audio playback of the characters as well... well done all involved :)

Trekkie101

@The Gamer on page 3: No final wont be long now, but with the security issue, it is vital to upgrade.

Captcha is only on the registration page for all those who are wondering.

UTF mode doesnt need to be used, I dont :)

@fx33, looks like you have safe mode, run the upgrade again and it should get further each time, skipping things its already done.

nauticaclan

I upgraded from RC2 and all my modifications are gone?

I thought the upgrade would keep the modifications and the update would loose them?

How do I keep from loosing my mods next time?

Compuart

An update between 1.1 RC2 and 1.1 RC3 cannot be done without losing the modifications. There's simply too many files that have been changed.
Hendrik Jan Visser
Former Lead Developer & Co-founder www.simplemachines.org
Personal Signature:
Realitynet.nl -> ExpeditieRobinson.net / PekingExpress.org / WieIsDeMol.Com

klumy


illustrationism

Quote from: Compuart on August 22, 2006, 12:33:02 PM
An update between 1.1 RC2 and 1.1 RC3 cannot be done without losing the modifications. There's simply too many files that have been changed.

Then would you recommend waiting until the final release to upgrade from 1.1 RC2 ?

klumy


codenaught

Quote from: illustrationism on August 22, 2006, 12:42:33 PM
Quote from: Compuart on August 22, 2006, 12:33:02 PM
An update between 1.1 RC2 and 1.1 RC3 cannot be done without losing the modifications. There's simply too many files that have been changed.

Then would you recommend waiting until the final release to upgrade from 1.1 RC2 ?
No. There will be even a bigger upgrade if you want to go from RC2 to final and you will lose the mods then too. Also there may be new mods that are only made for 1.1 RC3 and not RC2 since it is now an older version. Because of the php bug, it is highly recommended to upgrade to RC3.
Dev Consultant
Former SMF Doc Coordinator

Gary

Quote from: Thantos on August 19, 2006, 04:12:52 PM
Security Update
We received a report detailing a bug in PHP (improper deletion of hash values in the zend_hash_del_key_or_index() function), causing a vulnerability in SMF. We have addressed this issue in this release.  We urge everyone who is using an earlier release of SMF 1.1 to update immediately.

And that answers that.

-AwwLilMaggie
Gary M. Gadsdon
Do NOT PM me unless I say so
War of the Simpsons
Bongo Comics Fan Forum
Youtube Let's Plays

^ YT is changing monetisation policy, help reach 1000 sub threshold.

Advertisement: